# Created by pyp2rpm-1.0.1
%global pypi_name zipline
%define version 0.5.10

Name:           python-zipline
Version:        %{version}
Release:        %mkrel 1
Group:          Development/Python
Summary:        A backtester for financial algorithms

License:        ASL 
Source0:        https://pypi.python.org/packages/source/z/zipline/zipline-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-setuptools 
BuildRequires:  python-devel
 
Requires:       python-delorean
Requires:       python-msgpack
Requires:       python-iso8601
Requires:       python-logbook
Requires:       python-blist
Requires:       python-pytz
Requires:       python-requests
Requires:       python-numpy
Requires:       python-pandas

%description
Zipline is a Pythonic algorithmic trading library. The system is
fundamentally event-driven and a close approximation of how
live-trading systems operate. Currently, backtesting is well
supported, but the intent is to develop the library for both paper and
live trading, so that the same logic used for backtesting can be
applied to the market.

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info



%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}
rm -rf %{buildroot}/%{python_sitelib}/tests


%files
%doc README.md LICENSE tests
%{python_sitelib}/%{pypi_name}
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Wed Nov 27 2013 joequant <joequant> 0.5.10-1.mga4
+ Revision: 553718
- fix zipline deps
- imported package python-zipline

